Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025781
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-02-20 12:092014-02-25 14:13
Reportergorka_gilView Statuspublic 
Assigned Toshankarb 
PrioritylowResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revisiona9ab0578b4ec
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version
OS VersionlivebuildsDatabase version9.1Ant version
Product VersionmainSCM revision 
Review Assigned Toalostale
Web browserGoogle Chrome
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-07-11
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/bed326b6ddf6f08b10cf22cd7403aff84c0e3750 [^]
Triggers an Emergency PackNo
Summary

0025781: download all attachments fail

DescriptionUsing 'downloads all' attachments shows this error in the openbravo.log:

2014-02-19 19:08:18,419 [ajp-localhost%2F127.0.0.1-8809-4] ERROR org.openbravo.erpCommon.businessUtility.TabAttachments - Error while downloading attachments
java.io.FileNotFoundException: /opt/livebuilds/contexts/erp_main_pgsql/attachments/291-A6750F0D15334FB890C254369AC750A8/a (No such file or directory)


From the interface appear everything since create an attachment.zip file for downalod, but when try to uncompress it with unzip fail with:

  End-of-central-directory signature not found. Either this file is not
  a zipfile, or it constitutes one disk of a multi-part archive. In the
  latter case the central directory and zipfile comment will be found on
  the last disk(s) of this archive.


Environment:
  ob: livebuilds postgres main
  web browser: chromium 32
Steps To Reproduce1) create a dummy file: echo "abc" > a
2) loggin in livebuilds postgres main
3) go to bussines partner, select the first one
4) add the file 'a' as attachment, desc: a
5) click on 'download all'

It will create a zip for download, but :
- the file fails on uncompress
- an error appear in openbravo.log
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0064465)
hgbot (developer)
2014-02-20 20:20

Repository: erp/devel/pi
Changeset: a9ab0578b4ece99a56fab8b28ecbfcab2f670067
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Fri Feb 21 00:46:21 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/a9ab0578b4ece99a56fab8b28ecbfcab2f670067 [^]

Fixes Issue 0025781: download all attachments fail

When downloading all attachments older method of retrieving attachments was always used.
Called the appropriate method to determine the attachment model and download accordingly.

---
M src/org/openbravo/erpCommon/businessUtility/TabAttachments.java
---
(0064497)
hudsonbot (developer)
2014-02-21 16:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b309487a3fb6 [^]
Maturity status: Test
(0064566)
alostale (developer)
2014-02-25 14:13

Code reviewed + tested

- Issue History
Date Modified Username Field Change
2014-02-20 12:09 gorka_gil New Issue
2014-02-20 12:09 gorka_gil Assigned To => marvintm
2014-02-20 12:09 gorka_gil Web browser => Google Chrome
2014-02-20 12:09 gorka_gil Modules => Core
2014-02-20 12:09 gorka_gil Triggers an Emergency Pack => No
2014-02-20 18:59 alostale Assigned To marvintm => shankarb
2014-02-20 20:00 shankarb Web browser Google Chrome => Google Chrome
2014-02-20 20:00 shankarb Regression level => Production - Confirmed Stable
2014-02-20 20:00 shankarb Regression date => 2013-07-11
2014-02-20 20:00 shankarb Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/bed326b6ddf6f08b10cf22cd7403aff84c0e3750 [^]
2014-02-20 20:19 shankarb Review Assigned To => alostale
2014-02-20 20:19 shankarb Web browser Google Chrome => Google Chrome
2014-02-20 20:20 hgbot Checkin
2014-02-20 20:20 hgbot Note Added: 0064465
2014-02-20 20:20 hgbot Status new => resolved
2014-02-20 20:20 hgbot Resolution open => fixed
2014-02-20 20:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a9ab0578b4ece99a56fab8b28ecbfcab2f670067 [^]
2014-02-21 16:28 hudsonbot Checkin
2014-02-21 16:28 hudsonbot Note Added: 0064497
2014-02-25 14:13 alostale Note Added: 0064566
2014-02-25 14:13 alostale Status resolved => closed
2014-02-25 14:13 alostale Fixed in Version => 3.0MP32


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker